Index: code/trunk/data/levels/emptyLevel.oxw
===================================================================
--- code/trunk/data/levels/emptyLevel.oxw	(revision 10624)
+++ code/trunk/data/levels/emptyLevel.oxw	(revision 10629)
@@ -16,4 +16,6 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipEscort.oxt")
+  include("templates/spaceshipRing.oxt")
+  include("templates/spaceshipSwallow.oxt")
 ?>
 
Index: code/trunk/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsRing.oxi	(revision 10624)
+++ code/trunk/data/levels/includes/weaponSettingsRing.oxi	(revision 10629)
@@ -14,8 +14,8 @@
     </links>
     <Weapon>
-      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.4,-3" projectileMesh="LaserBeam2.mesh" />
+      <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 muzzleoffset=" 0.1, 1.4,-3" freezefactor=0.5 freezetime=2.0 />
     </Weapon>
     <Weapon>
-      <HsW01 mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset="0.1, 1.4, -3" projectileMesh="LaserBeam2.mesh" />
+      <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 muzzleoffset=" 0.1, 1.4,-3" freezefactor=0.5 freezetime=2.0 />
     </Weapon>
   </WeaponPack>
Index: code/trunk/data/levels/includes/weaponSettingsSwallow.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10624)
+++ code/trunk/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10629)
@@ -14,13 +14,8 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20/>
+          <SplitGun mode=0 munitionpershot=0 damage=6.0 muzzleoffset="0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  damage=3.14159 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20/>
+          <SplitGun mode=0 munitionpershot=0 damage=6.0 muzzleoffset="-0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/jump.oxw
===================================================================
--- code/trunk/data/levels/jump.oxw	(revision 10624)
+++ code/trunk/data/levels/jump.oxw	(revision 10629)
@@ -260,37 +260,4 @@
     </MovableEntity>
 
-    <EventDispatcher>
-      <targets>
-        <EventTarget target=scoreeffect_right />
-        <EventTarget target=scoreeffect_center />
-      </targets>
-      <events>
-        <spawn>
-          <EventFilter>
-            <names>
-              <EventName name=right />
-            </names>
-            <EventListener event=jumpcenter />
-          </EventFilter>
-        </spawn>
-      </events>
-    </EventDispatcher>
-    <EventDispatcher>
-      <targets>
-        <EventTarget target=scoreeffect_left />
-        <EventTarget target=scoreeffect_center />
-      </targets>
-      <events>
-        <spawn>
-          <EventFilter>
-            <names>
-              <EventName name=left />
-            </names>
-            <EventListener event=jumpcenter />
-          </EventFilter>
-        </spawn>
-      </events>
-    </EventDispatcher>
-
   </Scene>
 </Level>
Index: code/trunk/data/levels/templates/enemytowerdefense.oxt
===================================================================
--- code/trunk/data/levels/templates/enemytowerdefense.oxt	(revision 10624)
+++ 	(revision )
@@ -1,234 +1,0 @@
-<Template name=enemytowerdefense1>
-  <TowerDefenseEnemy
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipassffcameras
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 1
-   maxhealth         = 2
-   initialhealth     = 1
-
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
-   shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
-
-   primaryThrust     = 100
-   auxilaryThrust    = 30
-   rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 15
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 9
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-
-   explosionSound = "sounds/Explosion2.ogg"
-  >
-
-    <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
-    </engines>
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=90 roll=0 scale=4 mesh="assff.mesh" />
-      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>
-    <controller>
-        <WaypointController accuracy=60>
-          <waypoints>
-            <!-- 1,3 10,3 10,11, 13,11 -->
-            
-            <Model  position="-700,-500, 150" />
-            <Model  position=" 200,-500, 150" />
-           
-            <Model  position=" 200, 300, 150" />
-            <Model  position=" 500, 300, 150" />
-          <!--  <Model mesh="cube.mesh" scale=10 position=" 500, 700, 150" /> -->
-            <Model  position=" 500, 700, 150" /> 
-            
-          </waypoints>
-        </WaypointController>
-      </controller>
-  </TowerDefenseEnemy>
-</Template>
-
-
-<Template name=enemytowerdefense2>
-  <TowerDefenseEnemy
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipassffcameras
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
-   shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
-
-   primaryThrust     = 100
-   auxilaryThrust    = 30
-   rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 15
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 9
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-
-   explosionSound = "sounds/Explosion2.ogg"
-  >
-
-    <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
-    </engines>
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=90 roll=0 scale=4 mesh="JumpEnemy3.mesh" />
-      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>
-    <controller>
-        <WaypointController accuracy=60>
-          <waypoints>
-            <!-- 1,3 10,3 10,11, 13,11 -->
-            
-            <Model  position="-700,-500, 150" />
-            <Model  position=" 200,-500, 150" />
-           
-            <Model  position=" 200, 300, 150" />
-            <Model  position=" 500, 300, 150" />
-          <!--  <Model mesh="cube.mesh" scale=10 position=" 500, 700, 150" /> -->
-            <Model  position=" 500, 700, 150" /> 
-            
-          </waypoints>
-        </WaypointController>
-      </controller>
-  </TowerDefenseEnemy>
-</Template>
-
-<Template name=enemytowerdefense3>
-  <TowerDefenseEnemy
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipassffcameras
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-   
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
-   shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
-
-   primaryThrust     = 100
-   auxilaryThrust    = 30
-   rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 15
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 9
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-
-   explosionSound = "sounds/Explosion2.ogg"
-  >
-
-    <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
-    </engines>
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=90 roll=0 scale=4 mesh="JumpEnemy4.mesh" />
-      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>
-    <controller>
-        <WaypointController accuracy=60>
-          <waypoints>
-            <!-- 1,3 10,3 10,11, 13,11 -->
-            
-            <Model  position="-700,-500, 150" />
-            <Model  position=" 200,-500, 150" />
-           
-            <Model  position=" 200, 300, 150" />
-            <Model  position=" 500, 300, 150" />
-          <!--  <Model mesh="cube.mesh" scale=10 position=" 500, 700, 150" /> -->
-            <Model  position=" 500, 700, 150" /> 
-            
-          </waypoints>
-        </WaypointController>
-      </controller>
-  </TowerDefenseEnemy>
-</Template>
Index: code/trunk/data/levels/towerDefense.oxw
===================================================================
--- code/trunk/data/levels/towerDefense.oxw	(revision 10624)
+++ code/trunk/data/levels/towerDefense.oxw	(revision 10629)
@@ -15,19 +15,13 @@
   include("towerdefenseHUD.oxo")
   include("templates/lodInformation.oxt")
-?>
-
-<?lua
+  include("includes/weaponSettingsTurret.oxi")
   include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/towerdefensetower.oxt")
-  include("templates/enemytowerdefense.oxt")
   include("templates/standardTurret.oxt")
 ?>
-
 
 <Template name=selectercameras defaults=0>
   <TowerDefenseSelecter>
     <camerapositions>
-      <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true />
+      <CameraPosition position="0,0,1300" lookat="0,0,0" absolute=true drag=true mouselook=true/>
     </camerapositions>
   </TowerDefenseSelecter>
@@ -37,16 +31,412 @@
   <TowerDefenseSelecter team=0 camerapositiontemplate=selectercameras>
     <attached>
-      <Model pitch=90 position="0,0,-30" mesh="TD_Selection.mesh" scale=30 />
+      <Model position="0,0,0" pitch=90 mesh="TD_Selection.mesh" scale=25/>
     </attached>
   </TowerDefenseSelecter>
 </Template>
 
-
-
-
-<Level
-  plugins = "towerdefense"
-  gametype = "TowerDefense"
->
+<Template name=tower1template>
+  <TowerDefenseTower
+  explosionchunks=6
+  reloadrate=10 
+  reloadwaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=1 material="Flares/point_lensflare" delay=0/>
+        </Weapon>
+      </WeaponPack>
+    </weapons>
+  </TowerDefenseTower>
+</Template>
+
+<Template name=tower2template>
+  <TowerDefenseTower
+  explosionchunks=6
+  reloadrate=10 
+  reloadwaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>          
+          <LightningGun mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
+    <attached>
+      <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
+    </attached>    
+  </TowerDefenseTower>
+</Template>
+
+<Template name=tower3template>
+  <TowerDefenseTower
+  explosionchunks=6
+  reloadrate=10 
+  reloadwaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <SplitGun mode=0 munitionpershot=0 damage=9.3 muzzleoffset=" 1.6, 1.3, -2.0" splittime=0.2 numberofsplits=2 numberofchilds=5 spread=0.1 damagereduction=3.0 />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
+  </TowerDefenseTower>
+</Template>
+
+<Template name=tower4template>
+  <TowerDefenseTower
+  explosionchunks=6
+  reloadrate=10 
+  reloadwaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />  
+        </Weapon>
+      </WeaponPack>
+    </weapons>
+      <attached>
+      <ParticleSpawner position="0,0,0" source="Orxonox/sparks" lifetime=3.0 autostart=1 loop=1 />
+    </attached>
+  </TowerDefenseTower>
+</Template>
+
+<Template name=tower5template>
+  <TowerDefenseTower
+  explosionchunks=6
+  reloadrate=10 
+  reloadwaittime=5 
+  collisionType="none" 
+  pitch="0" 
+  yaw="0" 
+  roll="0" 
+  maxPitch=360 
+  maxYaw=360 
+  maxAttackRadius=1000 
+  minAttackRadius=0
+  team=0
+  >
+    <controller>
+       <TurretController team = 0/>
+    </controller>
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 muzzleoffset=" 0,0,0" freezefactor=0.5 freezetime=2.0 />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
+  </TowerDefenseTower>
+</Template>
+
+<Template name=enemytowerdefense1>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 15
+   maxhealth         = 15
+   initialhealth     = 15
+
+   shieldhealth        = 15
+   initialshieldhealth = 15
+   maxshieldhealth     = 15
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 1000
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 10
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"   
+  >
+
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=90 roll=0 scale=4 mesh="assff.mesh" />
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
+  </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense2>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 30
+   maxhealth         = 30
+   initialhealth     = 30
+
+   shieldhealth        = 0
+   initialshieldhealth = 0
+   maxshieldhealth     = 0
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 100
+        speedback      =  50
+        speedleftright =  50
+        speedupdown    =  50        
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  125
+        accelerationleftright =  125
+        accelerationupdown    =  125
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy3.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes> 
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
+  </TowerDefenseEnemy>
+</Template>
+
+<Template name=enemytowerdefense3>
+  <TowerDefenseEnemy
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 15
+   maxhealth         = 15
+   initialhealth     = 15
+   
+   shieldhealth        = 5
+   initialshieldhealth = 5
+   maxshieldhealth     = 5
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 80
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+
+    <engines>
+      <Engine position=" 0, 0, 0" 
+        boostfactor    = 2
+        speedfront     = 300
+        speedback      =  300
+        speedleftright =  300
+        speedupdown    =  300         
+        accelerationfront     = 500
+        accelerationbrake     = 500
+        accelerationback      =  500
+        accelerationleftright =  500
+        accelerationupdown    =  500
+      />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=2.5 mesh="JumpEnemy4.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <controller>
+       <WaypointController accuracy = 50/>
+    </controller>
+  </TowerDefenseEnemy>
+</Template>
+
+<Level plugins = "towerdefense" gametype = "TowerDefense">
   <templates>
     <Template link=lodtemplate_default />
@@ -62,13 +452,48 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
 
-    <!-- Spawns the camera, attached to a crate -->
     <SpawnPoint team=0 position="0,0,0"/> 
+
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S1.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S2.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S3.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S4.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_S5.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T1.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T2.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T3.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T4.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_T5.mesh" scale=1/>
+    <Model position="0,0,10000" lodLevel=1 mesh="TD_F1.mesh" scale=1/>
 
     <!-- PlayField -->
     <TowerDefenseCenterpoint
     name=towerdefensecenter
-
     selecterTemplate=selectertemplate
-
+    tower1Template=tower1template
+    tower2Template=tower2template
+    tower3Template=tower3template
+    tower4Template=tower4template
+    tower5Template=tower5template
+    tower1Cost=100
+    tower2Cost=100
+    tower3Cost=100
+    tower4Cost=100
+    tower5Cost=100
+    fields="F1F1F1R1I1I1I1I1O1F1F1F1F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1F1F1F1F1F1
+            F1F1F1I2F1F1F1F1F1F1F1Y1Y1Y1F1F1
+            F1F1F1R2I3I3I3I3L3F1F1F1F1F1F1F1
+            F1F1F1F1F1F1F1F1I2F1F1F1F1F1F1F1
+            F1F1F1F1F1F1F1F1I2F1F1F1F1F1F1F1
+            X1I1I1I1R0F1F1F1I2F1F1F1F1F1F1F1
+            F1F1F1F1I0F1F1F1I2F1F1F1F1F1F1F1
+            F1F1F1F1I0F1F1F1I2F1F1F1F1F1F1F1
+            F1F1F1F1L1I1I1I1L2F1F1F1F1F1F1F1
+            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
+            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
+            F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1"
     width=16
     height=16
@@ -79,11 +504,7 @@
     mass=100000
     >
-        <attached>
-            <Model position="-50,-50,0" mesh="Playfield_ME.mesh" scale=80 />
-            <Model position="500,700,100" mesh="sphere.mesh" scale=80 />
-        </attached>
-        <camerapositions>
-      <CameraPosition position="0,0,1500" lookat="0,0,0" absolute=true/>
-    </camerapositions>
+      <camerapositions>
+        <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true />
+      </camerapositions>    
     </TowerDefenseCenterpoint>
 