Index: code/trunk/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/trunk/src/modules/jump/JumpPlatform.cc	(revision 10629)
+++ code/trunk/src/modules/jump/JumpPlatform.cc	(revision 10632)
@@ -54,21 +54,4 @@
         figure_ = 0;
 
-        //initialize sound
-        if (GameMode::isMaster())
-        {
-            defScoreSound_ = new WorldSound(this->getContext());
-            defScoreSound_->setVolume(1.0f);
-            defBatSound_ = new WorldSound(this->getContext());
-            defBatSound_->setVolume(0.4f);
-            defBoundarySound_ = new WorldSound(this->getContext());
-            defBoundarySound_->setVolume(0.5f);
-        }
-        else
-        {
-            defScoreSound_ = 0;
-            defBatSound_ = 0;
-            defBoundarySound_ = 0;
-        }
-
         setPosition(Vector3(0,0,0));
         setVelocity(Vector3(0,0,0));
@@ -85,5 +68,5 @@
     }
 
-    //xml port for loading sounds
+    //xml port for loading height and width of the platform
     void JumpPlatform::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -92,8 +75,4 @@
         XMLPortParam(JumpPlatform, "height", setHeight, getHeight, xmlelement, mode);
         XMLPortParam(JumpPlatform, "width", setWidth, getWidth, xmlelement, mode);
-
-        XMLPortParam(JumpPlatform, "defScoreSound",  setDefScoreSound,  getDefScoreSound,  xmlelement, mode);
-        XMLPortParam(JumpPlatform, "defBatSound",  setDefBatSound,  getDefBatSound,  xmlelement, mode);
-        XMLPortParam(JumpPlatform, "defBoundarySound",  setDefBoundarySound,  getDefBoundarySound,  xmlelement, mode);
     }
 
@@ -134,54 +113,3 @@
 
     }
-
-    void JumpPlatform::setDefScoreSound(const std::string &jumpSound)
-    {
-        if( defScoreSound_ )
-            defScoreSound_->setSource(jumpSound);
-        else
-            assert(0); // This should never happen, because soundpointer is only available on master
-    }
-
-    const std::string& JumpPlatform::getDefScoreSound()
-    {
-        if( defScoreSound_ )
-            return defScoreSound_->getSource();
-        else
-            assert(0);
-        return BLANKSTRING;
-    }
-
-    void JumpPlatform::setDefBatSound(const std::string &jumpSound)
-    {
-        if( defBatSound_ )
-            defBatSound_->setSource(jumpSound);
-        else
-            assert(0); // This should never happen, because soundpointer is only available on master
-    }
-
-    const std::string& JumpPlatform::getDefBatSound()
-    {
-        if( defBatSound_ )
-            return defBatSound_->getSource();
-        else
-            assert(0);
-        return BLANKSTRING;
-    }
-
-    void JumpPlatform::setDefBoundarySound(const std::string &jumpSound)
-    {
-        if( defBoundarySound_ )
-            defBoundarySound_->setSource(jumpSound);
-        else
-            assert(0); // This should never happen, because soundpointer is only available on master
-    }
-
-    const std::string& JumpPlatform::getDefBoundarySound()
-    {
-        if( defBoundarySound_ )
-            return defBoundarySound_->getSource();
-        else
-            assert(0);
-        return BLANKSTRING;
-    }
 }
Index: code/trunk/src/modules/jump/JumpPlatform.h
===================================================================
--- code/trunk/src/modules/jump/JumpPlatform.h	(revision 10629)
+++ code/trunk/src/modules/jump/JumpPlatform.h	(revision 10632)
@@ -52,11 +52,4 @@
             virtual void touchFigure();
 
-            void setDefScoreSound(const std::string& engineSound);
-            const std::string& getDefScoreSound();
-            void setDefBatSound(const std::string& engineSound);
-            const std::string& getDefBatSound();
-            void setDefBoundarySound(const std::string& engineSound);
-            const std::string& getDefBoundarySound();
-
             void setWidth(const float width)
                 { this->width_ = width; }
@@ -72,7 +65,4 @@
             float height_;
             WeakPtr<JumpFigure> figure_;
-            WorldSound* defScoreSound_;
-            WorldSound* defBatSound_;
-            WorldSound* defBoundarySound_;
     };
 }