Index: branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10642)
+++ branches/vs-enhencements/src/world_entities/space_ships/space_ship.cc	(revision 10644)
@@ -157,12 +157,12 @@
   //weapons:
 
-  Weapon* wpRight1 = new LightBlaster ();
-  wpRight1->setName( "LightBlaster");
-  Weapon* wpLeft1 = new LightBlaster ();
-  wpLeft1->setName( "LightBlaster");
-
-//   Weapon* wpRight1 = new RFCannon ();
+  Weapon* wpRight0 = new RFCannon ();
+  wpRight0->setName( "RFCannon");
+  Weapon* wpLeft0 = new RFCannon ();
+  wpLeft0->setName( "RFCannon");
+
+  Weapon* wpRight1 = new RFCannon ();
   wpRight1->setName( "RFCannon");
-//   Weapon* wpLeft1 = new RFCannon ();
+  Weapon* wpLeft1 = new RFCannon ();
   wpLeft1->setName( "RFCannon");
 
@@ -181,21 +181,27 @@
 
 
-  this->weaponMan.addWeapon( wpLeft1, 0, 0);
-  this->weaponMan.addWeapon( wpRight1, 0, 1);
-
-  this->weaponMan.addWeapon( wpLeft2, 1, 2);
-  this->weaponMan.addWeapon( wpRight2, 1, 3);
-
-  this->weaponMan.addWeapon( wpLeft3, 2, 4);
-  this->weaponMan.addWeapon( wpRight3, 2, 5);
-
-  this->weaponMan.addWeapon( wpLeft1, 3, 0);
-  this->weaponMan.addWeapon( wpRight1, 3, 1);
-
-  this->weaponMan.addWeapon( wpLeft2, 3, 2);
-  this->weaponMan.addWeapon( wpRight2, 3, 3);
-
-  this->weaponMan.addWeapon( wpLeft3, 3, 4);
-  this->weaponMan.addWeapon( wpRight3, 3, 5);
+  this->weaponMan.addWeapon( wpLeft0, 0, 0);
+  this->weaponMan.addWeapon( wpRight0, 0, 1);
+
+  this->weaponMan.addWeapon( wpLeft1, 0, 2);
+  this->weaponMan.addWeapon( wpRight1, 0, 3);
+
+  this->weaponMan.addWeapon( wpLeft2, 1, 4);
+  this->weaponMan.addWeapon( wpRight2, 1, 5);
+
+  this->weaponMan.addWeapon( wpLeft3, 2, 6);
+  this->weaponMan.addWeapon( wpRight3, 2, 7);
+
+  this->weaponMan.addWeapon( wpLeft0, 3, 0);
+  this->weaponMan.addWeapon( wpRight0, 3, 1);
+
+  this->weaponMan.addWeapon( wpLeft1, 3, 2);
+  this->weaponMan.addWeapon( wpRight1, 3, 3);
+
+  this->weaponMan.addWeapon( wpLeft2, 3, 4);
+  this->weaponMan.addWeapon( wpRight2, 3, 5);
+
+  this->weaponMan.addWeapon( wpLeft3, 3, 6);
+  this->weaponMan.addWeapon( wpRight3, 3, 7);
 
 
@@ -299,29 +305,29 @@
   this->weaponMan.setSlotCount(8);
 
-  this->weaponMan.setSlotPosition(0, Vector(0.0, 0, -3.0));
+  this->weaponMan.setSlotPosition(0, Vector(3.006, 1.028, .155));
   this->weaponMan.setSlotCapability(0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
 
-  this->weaponMan.setSlotPosition(1, Vector(0.0, 0, 3.0));
+  this->weaponMan.setSlotPosition(1, Vector(3.006, 1.028, -.155));
   this->weaponMan.setSlotCapability(1, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
 
-  this->weaponMan.setSlotPosition(2, Vector(1.0, 0, -1.5));
+  this->weaponMan.setSlotPosition(2, Vector(4.03, .063, .876));
   this->weaponMan.setSlotDirection(2, Quaternion(-M_PI_4*.5, Vector(1,0,0)));
 
-  this->weaponMan.setSlotPosition(3, Vector(1.0, 0, 1.5));
+  this->weaponMan.setSlotPosition(3, Vector(4.03, -.063, -.876));
   this->weaponMan.setSlotDirection(3, Quaternion(M_PI_4*.5, Vector(1,0,0)));
 
-  this->weaponMan.setSlotPosition(4, Vector(1.5, 0, .5));
+  this->weaponMan.setSlotPosition(4, Vector(1.431, -.612, 2.691));
   this->weaponMan.setSlotDirection(4, Quaternion(-M_PI_4*.5+M_PI, Vector(1,0,0)));
 
-  this->weaponMan.setSlotPosition(5, Vector(1.5, 0, -.5));
+  this->weaponMan.setSlotPosition(5, Vector(1.431, -.612, -2.691));
   this->weaponMan.setSlotDirection(5, Quaternion(+M_PI_4*.5-M_PI, Vector(1,0,0)));
 
-  this->weaponMan.setSlotPosition(6, Vector(0.5, 0, 2.5));
+  this->weaponMan.setSlotPosition(6, Vector(1.431, -.612, 3.254));
   this->weaponMan.setSlotDirection(6, Quaternion(-M_PI_4*.5+M_PI, Vector(1,0,0)));
 
-  this->weaponMan.setSlotPosition(7, Vector(0.5, 0, -2.5));
+  this->weaponMan.setSlotPosition(7, Vector(1.431, -.612, -3.254));
   this->weaponMan.setSlotDirection(7, Quaternion(+M_PI_4*.5-M_PI, Vector(1,0,0)));
 
-  this->secWeaponMan.setSlotPosition(0, Vector(1.5, 0, 0));
+  this->secWeaponMan.setSlotPosition(0, Vector(1.5, 3, 0));
   this->secWeaponMan.setSlotCapability(0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
 
Index: branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc	(revision 10642)
+++ branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc	(revision 10644)
@@ -156,19 +156,4 @@
 
 
-//   Animation3D* animB0Shoot = this->getAnimation(WS_SHOOTING0, this->objComp[0][0]);
-//   Animation3D* animB1Shoot = this->getAnimation(WS_SHOOTING1, this->objComp2);
-//   Animation3D* animB2Shoot = this->getAnimation(WS_SHOOTING2, this->objComp3);
-//   Animation3D* animT0Shoot = this->getAnimation(WS_SHOOTING3, this->objComp[0][1]);
-//   Animation3D* animT1Shoot = this->getAnimation(WS_SHOOTING4, this->objComp5);
-//   Animation3D* animT2Shoot = this->getAnimation(WS_SHOOTING5, this->objComp6);
-
-
-//   this->shootAnim[0][0]->setInfinity(ANIM_INF_CONSTANT);
-//   animB1Shoot->setInfinity(ANIM_INF_CONSTANT);
-//   animB2Shoot->setInfinity(ANIM_INF_CONSTANT);
-//   animT0Shoot->setInfinity(ANIM_INF_CONSTANT);
-//   animT1Shoot->setInfinity(ANIM_INF_CONSTANT);
-//   animT2Shoot->setInfinity(ANIM_INF_CONSTANT);
-
   for (int i = 0; i < this->getBarrels(); i++){
     this->shootAnim[i][0]->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.05, ANIM_LINEAR, ANIM_NULL);
@@ -187,6 +172,4 @@
   animation3->setInfinity(ANIM_INF_CONSTANT);
 
-//   this->setEmissionPoint(3.8, 1.2, 0, 0);
-
   animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
   animation2->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
@@ -207,12 +190,8 @@
   pj->setParent(PNode::getNullParent());
 
-//   pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*250 + VECTOR_RAND(5));
-//   pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*130 + VECTOR_RAND(1));
   pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*130 + VECTOR_RAND(1));
 
   pj->setAbsCoor(this->emissionPoint[this->activeBarrel]->getAbsCoor());
-//   pj->setAbsCoor(this->getEmissionPoint(0));
   pj->setAbsDir(this->getAbsDir());
-//   pj->toList(OM_GROUP_01_PROJ);
   pj->activate();
 
Index: branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc
===================================================================
--- branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10642)
+++ branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10644)
@@ -53,12 +53,12 @@
 {
 
-  for (int i = 0; i < this->getBarrels(); i++)
-  {
-   //delete [] this->shootAnim[i];
-   delete [] this->objComp[i];
-  }
-  delete [] this->emissionPoint;
-   //delete [] this->shootAnim;
-   delete [] this->objComp;
+//   for (int i = 0; i < this->getBarrels(); i++)
+//   {
+//    //delete [] this->shootAnim[i];
+//    delete [] this->objComp[i];
+//   }
+//   delete [] this->emissionPoint;
+//    //delete [] this->shootAnim;
+//    delete [] this->objComp;
 
 }
Index: branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10642)
+++ branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10644)
@@ -52,9 +52,9 @@
 RFCannon::~RFCannon()
 {
-  for (int i = 0; i < this->getBarrels(); i++)
-    delete [] this->objComp[i];
+//   for (int i = 0; i < this->getBarrels(); i++)
+//     delete [] this->objComp[i];
 
-  delete [] this->emissionPoint;
-  delete [] this->objComp;
+//   delete [] this->emissionPoint;
+//   delete [] this->objComp;
 }
 
@@ -132,5 +132,5 @@
     pj->setParent(PNode::getNullParent());
 
-    pj->setVelocity(this->getAbsDir().apply(Vector(0,1,0))*190);
+    pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*190);
 
     pj->setAbsCoor(this->emissionPoint[this->activeBarrel]->getAbsCoor());