Index: /branches/vs-enhencements/src/util/track/action_box.cc
===================================================================
--- /branches/vs-enhencements/src/util/track/action_box.cc	(revision 10644)
+++ /branches/vs-enhencements/src/util/track/action_box.cc	(revision 10645)
@@ -127,15 +127,14 @@
 bool ActionBox::isPointInBox( const Vector & pos )
 {
-  bool result = true;
+  bool result = true; //TODO remove
   for ( int i = 0; i<6; i++ )
   {
     if ( planes[i].distancePoint( pos ) < 0 )
     {
-      result = false;
+      result = false; // TODO return false;
       printf("PLANE %i FAILED %f\n", i, planes[i].distancePoint( pos ) );
     }
   }
-  
-  return result;
+  return result;  //TODO return true;
 }
 
@@ -146,5 +145,5 @@
 {
   Vector p[7];
-  
+
   p[0] = Vector( 0.0, height_2, -width_2 );
   p[1] = Vector( 0.0, height_2, width_2 );
@@ -154,5 +153,5 @@
   p[5] = Vector( depth, -height_2, width_2 );
   p[6] = Vector( depth, -height_2, -width_2 );
-  
+
   for ( int i = 0; i<7; i++ )
   {
@@ -160,5 +159,5 @@
     p[i] += track->getTrackNode()->getAbsCoor();
   }
-  
+
   planes[0] = Plane( p[1], p[0], p[2] );
   planes[1] = Plane( p[3], p[4], p[5] );
Index: /branches/vs-enhencements/src/world_entities/WorldEntities.am
===================================================================
--- /branches/vs-enhencements/src/world_entities/WorldEntities.am	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/WorldEntities.am	(revision 10645)
@@ -49,4 +49,5 @@
                 world_entities/projectiles/spike.cc \
                 world_entities/projectiles/acid_splash.cc \
+                world_entities/projectiles/plasma_pulse.cc \
                 \
                 world_entities/projectiles/projectile_weapon.cc \
@@ -202,5 +203,6 @@
                 projectiles/spike_ball.h \
                 projectiles/acid_splash.h \
-                \
+                projectiles/plasma_pulse.h \
+               \
                 projectiles/projectile_weapon.h \
                 projectiles/spike_ball.h \
Index: /branches/vs-enhencements/src/world_entities/effects/billboard.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/effects/billboard.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/effects/billboard.cc	(revision 10645)
@@ -125,4 +125,5 @@
   if (this->angle > M_2_PI)
     this->angle -= M_2_PI;
+//   curMagnitude = updatePulse(this->angle);
 }
 
@@ -159,5 +160,5 @@
   float tmp = 1;
   if (this->bPulse)
-    tmp += this->pulseMagnitude * updatePulse(this->angle);
+    tmp += this->pulseMagnitude * sinf(this->angle); //updatePulse(this->angle);
 
   v *= sizeX * tmp;
Index: /branches/vs-enhencements/src/world_entities/effects/billboard.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/effects/billboard.h	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/effects/billboard.h	(revision 10645)
@@ -26,4 +26,5 @@
     void colorTexture(const Color col);
 
+    //!< Pulsing Capability, changes size of the grid
     inline void togglePluse () {this->bPulse = !bPulse; };
     inline void setPulse () { this->bPulse = true; };
@@ -49,4 +50,5 @@
     bool bPulse;
     float pulseMagnitude;
+    float curMagnitude;
     float angle;
     float angularSpeed;
Index: /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc	(revision 10645)
@@ -59,5 +59,5 @@
   this->halo = new Billboard();
   this->halo->setSize(.65, .65);
-  this->halo->setTexture("hbolt_halo2.png");
+  this->halo->setTexture("hbolt_halo2.jpg");
   this->halo->setVisibility(false);
 
@@ -177,5 +177,5 @@
   glPushAttrib(GL_ENABLE_BIT);
   glDisable(GL_LIGHTING);
-//   glDisable(GL_FOG);
+  glDisable(GL_FOG);
 
   glMatrixMode(GL_MODELVIEW);
@@ -184,4 +184,6 @@
 //     float matrix[4][4];
     glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    this->halo->draw();
+
     Vector tmpRot = this->getAbsDir().getSpacialAxis();
     glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
@@ -189,5 +191,4 @@
 //     glMultMatrixf((float*)matrix);
     this->getModel()->draw();
-    this->halo->draw();
 
   glPopMatrix();
Index: /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc	(revision 10645)
@@ -62,5 +62,5 @@
   this->halo = new Billboard();
   this->halo->setSize(.35, .35);
-  this->halo->setTexture("hbolt_halo.png");
+  this->halo->setTexture("hbolt_halo.jpg");
   this->halo->setVisibility(false);
 
Index: /branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/weapons/heavy_blaster.cc	(revision 10645)
@@ -98,5 +98,5 @@
 //  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/test_gun.obj", OBJ, RP_CAMPAIGN);
 
-  this->loadModel("models/guns/frag_cannon.obj", .4);
+  this->loadModel("models/guns/frag_cannon2.obj", .4);
 
 
Index: /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10645)
@@ -53,12 +53,12 @@
 {
 
-//   for (int i = 0; i < this->getBarrels(); i++)
-//   {
-//    //delete [] this->shootAnim[i];
-//    delete [] this->objComp[i];
-//   }
-//   delete [] this->emissionPoint;
-//    //delete [] this->shootAnim;
-//    delete [] this->objComp;
+  for (int i = 0; i < this->getBarrels(); i++)
+  {
+   //delete [] this->shootAnim[i];
+   delete [] this->objComp[i];
+  }
+  delete [] this->emissionPoint;
+   //delete [] this->shootAnim;
+   delete [] this->objComp;
 
 }
Index: /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10645)
@@ -52,9 +52,9 @@
 RFCannon::~RFCannon()
 {
-//   for (int i = 0; i < this->getBarrels(); i++)
-//     delete [] this->objComp[i];
+  for (int i = 0; i < this->getBarrels(); i++)
+    delete [] this->objComp[i];
 
-//   delete [] this->emissionPoint;
-//   delete [] this->objComp;
+  delete [] this->emissionPoint;
+  delete [] this->objComp;
 }
 
@@ -67,5 +67,5 @@
 {
 
-  this->loadModel("models/guns/rf_cannon.obj", 0.3);
+  this->loadModel("models/guns/rf_cannon.obj", 0.2);
 
 
@@ -82,5 +82,5 @@
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("LBolt");
+  this->setProjectileTypeC("PlasmaPulse");
   this->prepareProjectiles(100);
 
@@ -122,5 +122,5 @@
 void RFCannon::fire()
 {
-  for (int i = 0; i < this->getBarrels(); i++){
+//   for (int i = 0; i < this->getBarrels(); i++){
     Projectile* pj =  this->getProjectile();
     if (pj == NULL)
@@ -139,5 +139,5 @@
 
     this->activeBarrel = (this->activeBarrel + 1) % this->getBarrels();
-  }
+//   }
 }
 
Index: /branches/vs-enhencements/src/world_entities/weapons/weapon.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/weapon.cc	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/weapons/weapon.cc	(revision 10645)
@@ -163,4 +163,5 @@
  * needed, if there are more than one barrel or segments
  */
+/*
 void Weapon::init2()
 {
@@ -182,9 +183,10 @@
     this->shootAnim[i] = new Animation3D* [this->segs];
   }
-}
+}*/
 
 /**
  * deconstructor for init2
  */
+/*
 void Weapon::deconstr()
 {
@@ -198,5 +200,5 @@
   delete this->emissionPoint;
   delete this->shootAnim;
-}
+}*/
 
 /**
Index: /branches/vs-enhencements/src/world_entities/weapons/weapon.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/weapon.h	(revision 10644)
+++ /branches/vs-enhencements/src/world_entities/weapons/weapon.h	(revision 10645)
@@ -181,8 +181,8 @@
     inline void setSegs(int segs) { this->segs = segs; };
 
-    inline Animation3D* getShootAnim(int barrel, int seg) { return this->shootAnim[barrel][seg]; };
-    inline void setShootAnim(int barrel, int seg, PNode* component) { this->shootAnim[barrel][seg] = this->getAnimation(barrel, seg, component); };
-
-    void init2();
+//     inline Animation3D* getShootAnim(int barrel, int seg) { return this->shootAnim[barrel][seg]; };
+//     inline void setShootAnim(int barrel, int seg, PNode* component) { this->shootAnim[barrel][seg] = this->getAnimation(barrel, seg, component); };
+
+//     void init2();
     void deconstr();
 