Index: /branches/vs-enhencements/src/world_entities/WorldEntities.am
===================================================================
--- /branches/vs-enhencements/src/world_entities/WorldEntities.am	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/WorldEntities.am	(revision 10649)
@@ -52,4 +52,5 @@
                 world_entities/projectiles/acid_splash.cc \
                 world_entities/projectiles/plasma_pulse.cc \
+                world_entities/projectiles/nadion_blast.cc \
                 \
                 world_entities/projectiles/projectile_weapon.cc \
@@ -208,4 +209,5 @@
                 projectiles/acid_splash.h \
                 projectiles/plasma_pulse.h \
+                projectiles/nadion_blast.h \
                \
                 projectiles/projectile_weapon.h \
Index: /branches/vs-enhencements/src/world_entities/projectiles/acid_splash.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/acid_splash.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/acid_splash.cc	(revision 10649)
@@ -116,6 +116,6 @@
   this->toList(OM_NULL);
   //this->toList(OM_DEAD);
-  this->removeNode();
-  
+//   this->removeNode();
+
   AcidSplash::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/hbolt.cc	(revision 10649)
@@ -46,5 +46,5 @@
   this->setMinEnergy(10);
   this->setHealthMax(0);
-  this->lifeSpan = 2.0;
+  this->lifeSpan = 3.0;
 
   this->angle = 0;
@@ -116,5 +116,5 @@
 
   this->toList(OM_DEAD);
-  this->removeNode();
+//   this->removeNode();
   HBolt::fastFactory->kill(this);
 
Index: /branches/vs-enhencements/src/world_entities/projectiles/laser.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/laser.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/laser.cc	(revision 10649)
@@ -100,5 +100,5 @@
 
   this->toList(OM_NULL);
-  this->removeNode();
+//   this->removeNode();
   Laser::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/lbolt.cc	(revision 10649)
@@ -121,5 +121,5 @@
 
   this->toList(OM_DEAD);
-  this->removeNode();
+//   this->removeNode();
   LBolt::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/mbolt.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/mbolt.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/mbolt.cc	(revision 10649)
@@ -145,5 +145,5 @@
   this->toList(OM_NULL);
   //this->toList(OM_DEAD);
-  this->removeNode();
+//   this->removeNode();
   MBolt::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.cc	(revision 10649)
+++ /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.cc	(revision 10649)
@@ -0,0 +1,231 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004-2006 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific
+   main-programmer: Marc Schaerrer
+   co-programmer: Benjamin Grauer
+
+*/
+
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
+
+#include "nadion_blast.h"
+
+#include "state.h"
+#include "model.h"
+
+#include "world_entities/npcs/npc.h"
+
+#include "particles/dot_emitter.h"
+#include "particles/sprite_particles.h"
+
+#include "space_ships/space_ship.h"
+
+#include <cassert>
+#include "debug.h"
+
+#include "static_model.h"
+
+#include "effects/trail.h"
+
+
+
+ObjectListDefinition(NadionBlast);
+CREATE_FAST_FACTORY_STATIC(NadionBlast);
+
+/**
+ *  standard constructor
+*/
+NadionBlast::NadionBlast () : Projectile()
+{
+  this->registerObject(this, NadionBlast::_objectList);
+  this->loadModel("models/projectiles/mbolt.obj",4);
+
+
+  //this->loadModel("models/projectiles/laser.obj");
+
+  this->setMinEnergy(4);
+  this->setHealthMax(0);
+  this->lifeSpan = 2.5;
+  this->angle     = 0;
+
+  //this->emitter = new DotEmitter(1000, 0, 0);
+  this->emitter = new DotEmitter(50, 0, 0);
+  this->emitter->setParent(this);
+  this->emitter->setSpread(M_PI,M_PI);
+  this->emitter->setInheritSpeed(this->velocity.len());
+  this->emitter->setEmissionRate(500.0);
+  this->emitter->setEmissionVelocity(this->velocity.len());
+
+  this->mat = new Material("NadionBlast");
+  //this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
+  this->mat->setBlendFunc(GL_SRC_ALPHA,GL_ONE);
+  this->mat->setDiffuse(1,1,1);
+  this->mat->setDiffuseMap("laser_add.png");
+  this->mat->setDiffuseMap("laser2.png",1);
+
+  dynamic_cast<StaticModel*>(this->getModel())->addMaterial(*this->mat);
+  dynamic_cast<StaticModel*>(this->getModel())->finalize();
+
+  dynamic_cast<StaticModel*>(this->getModel())->rebuild();
+  //this->buildObbTree(4);
+
+//   this->trail = new Trail(6, 4, .1, this);
+  //this->trail->setParent( this);
+//   this->trail->setTexture( "textures/laser.png");
+//   this->trail->setAbsCoor(this->getAbsCoor() - Vector(.7,0,0));
+//   this->trail->setAbsCoor(this->getAbsCoor() - this->getVelocity().getNormalized() * .7);
+
+}
+
+
+/**
+ *  standard deconstructor
+ *
+ */
+NadionBlast::~NadionBlast ()
+{
+
+  if (NadionBlast::explosionParticles != NULL && NadionBlast::objectList().size() <= 1)
+  {
+    if (ParticleSystem::objectList().exists(NadionBlast::explosionParticles))
+      delete NadionBlast::explosionParticles;
+    NadionBlast::explosionParticles = NULL;
+    PRINTF(1)("Deleting NadionBlast Explosion Particles\n");
+  }
+
+  delete this->emitter;
+//   delete this->trail;
+}
+
+SpriteParticles* NadionBlast::explosionParticles = NULL;
+
+void NadionBlast::activate()
+{
+  this->origList = this->getOMListNumber();
+  this->toList(OM_ENVIRON);
+  if (unlikely(NadionBlast::explosionParticles == NULL))
+  {
+    NadionBlast::explosionParticles = new SpriteParticles(1000);
+    NadionBlast::explosionParticles->setName("NadionBlastExplosionParticles");
+    NadionBlast::explosionParticles->setLifeSpan(.2, .1);
+    NadionBlast::explosionParticles->setRadius(0.0, 10.0);
+    NadionBlast::explosionParticles->setRadius(.5, 6.0);
+    NadionBlast::explosionParticles->setRadius(1.0, 3.0);
+    NadionBlast::explosionParticles->setColor(0.0, 1,1,0,.9);
+    NadionBlast::explosionParticles->setColor(0.5, .8,.8,0,.5);
+    NadionBlast::explosionParticles->setColor(1.0, .8,.8,.7,.0);
+  }
+
+  this->setPhysDamage(10);
+  this->setElecDamage(0);
+  this->setHealth(0);
+
+  this->emitter->setSpread(0);
+  this->emitter->setEmissionRate(10.0);
+  this->emitter->setEmissionVelocity(50);
+}
+
+
+void NadionBlast::deactivate()
+{
+  assert (NadionBlast::explosionParticles != NULL);
+  NadionBlast::explosionParticles->removeEmitter(this->emitter);
+  this->lifeCycle = 0.0;
+
+  this->lifeCycle = 0.0;
+  this->toList(OM_NULL);
+  //this->toList(OM_DEAD);
+//   this->removeNode();
+  NadionBlast::fastFactory->kill(this);
+}
+
+/*
+void NadionBlast::hit (float damage, WorldEntity* entity )
+{
+
+  if (this->hitEntity != entity)
+    this->destroy( entity );
+  this->hitEntity = entity;
+ // dynamic_cast<SpaceShip*>(entity)->damage(this->getPhysDamage(),this->getElecDamage());
+  //this->destroy(this);
+  this->deactivate();
+
+  return;
+
+}*/
+
+/**
+ *  signal tick, time dependent things will be handled here
+ * @param dt time since last tick
+*/
+void NadionBlast::tick (float dt)
+{
+  //Vector v = *this->flightDirection * ( this->speed * time * 1000 + 0.1);
+  Vector v = this->velocity * dt;
+  this->shiftCoor(v);
+
+  if (this->tickLifeCycle(dt))
+    this->deactivate();
+
+  this->angle += NadionBlast::rotationSpeed * dt;
+//   this->trail->tick(dt);
+
+  for( ObjectList<NPC>::const_iterator eIterator = NPC::objectList().begin(); eIterator !=NPC::objectList().end(); eIterator++)
+  {
+    if( ((*eIterator)->getOMListNumber() != (this->origList -1))  && ((*eIterator)->getAbsCoor() - this->getAbsCoor()).len() <= 8)
+    {
+      (*eIterator)->destroy(this); //hit (this->getDamage(),this);
+      this->deactivate();
+      PRINTF(0)("NadionBlast destroyed\n");
+    }
+  }
+}
+
+/**
+ *  the function gets called, when the projectile is destroyed
+*/
+void NadionBlast::destroy (WorldEntity* killer)
+{
+  //this->deactivate();
+  Projectile::destroy( killer );
+  PRINTF(5)("DESTROY NadionBlast\n");
+  this->lifeCycle = .95; //!< @todo calculate this usefully.
+
+  this->emitter->setSystem(NadionBlast::explosionParticles);
+}
+
+
+void NadionBlast::draw () const
+{
+  glPushAttrib(GL_ENABLE_BIT);
+  glDisable(GL_LIGHTING);
+
+  glPushMatrix();
+  float matrix[4][4];
+  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+//   glRotatef(this->angle, 1.0f, 0.0f, 0.0f); //spinning missile
+  glRotatef(this->angle, this->flightDirection.x, this->flightDirection.y, this->flightDirection.z);
+  this->getAbsDir().matrix (matrix);
+  glMultMatrixf((float*)matrix);
+
+  glScalef(0.75/6, 0.7/16, 0.7/16);  // no double rescale
+
+  this->mat->select();
+  dynamic_cast<StaticModel*>(this->getModel())->draw();
+  this->mat->unselect();
+//   glScalef(4/.75,16/.7,16/.7);
+//   glTranslatef(-3,0,0);
+//   this->trail->draw();
+  glPopMatrix();
+  glPopAttrib();
+
+}
Index: /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.h
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.h	(revision 10649)
+++ /branches/vs-enhencements/src/world_entities/projectiles/nadion_blast.h	(revision 10649)
@@ -0,0 +1,54 @@
+/*!
+ * @file nadion_blast.h
+ * @brief nadion blast
+*/
+
+#ifndef _NADION_BLAST_H
+#define _NADION_BLAST_H
+
+#include "projectile.h"
+#include "material.h"
+
+class Vector;
+class Weapon;
+class SpriteParticles;
+class ParticleEmitter;
+class FastFactory;
+class Trail;
+
+class NadionBlast : public Projectile
+{
+  ObjectListDeclaration(NadionBlast);
+  public:
+    NadionBlast ();
+    virtual ~NadionBlast ();
+
+
+    virtual void activate();
+    virtual void deactivate();
+
+//     virtual void hit (float damage, WorldEntity* entity);
+
+    virtual void destroy (WorldEntity* killer);
+
+    virtual void tick (float dt);
+    virtual void draw () const;
+
+  private:
+    static FastFactory*               fastFactory;
+    static SpriteParticles*           explosionParticles;
+
+//     Trail*                            trail;
+
+    float                             angle;
+    static const float                rotationSpeed = 1080;
+
+    ParticleEmitter*                  emitter;
+
+    Material*                         mat;
+
+
+//     WorldEntity* hitEntity; // FIXME TEMPORARY
+};
+
+#endif /* _NADION_BLAST_H */
Index: /branches/vs-enhencements/src/world_entities/projectiles/plasma_pulse.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/plasma_pulse.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/plasma_pulse.cc	(revision 10649)
@@ -39,5 +39,5 @@
   this->setMinEnergy(1);
   this->setHealthMax(0);
-  this->lifeSpan = 3.0;
+  this->lifeSpan = 2.0;
 
   this->grid = new Billboard();
@@ -83,5 +83,5 @@
   this->lifeCycle = 0.0;
   this->toList(OM_NULL);
-  this->removeNode();
+//   this->removeNode();
 
   PlasmaPulse::fastFactory->kill(this);
Index: /branches/vs-enhencements/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/rail_projectile.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/rail_projectile.cc	(revision 10649)
@@ -99,5 +99,5 @@
 
   this->toList(OM_NULL);
-  this->removeNode();
+//   this->removeNode();
   RailProjectile::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/spike.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/spike.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/spike.cc	(revision 10649)
@@ -111,5 +111,5 @@
 
   this->toList(OM_NULL);
-  this->removeNode();
+//   this->removeNode();
   Spike::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/spike_ball.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/spike_ball.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/spike_ball.cc	(revision 10649)
@@ -149,5 +149,5 @@
 
   this->toList(OM_NULL);
-  this->removeNode();
+//   this->removeNode();
   SpikeBall::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/projectiles/swarm_projectile.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/projectiles/swarm_projectile.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/projectiles/swarm_projectile.cc	(revision 10649)
@@ -134,5 +134,5 @@
 
   this->toList(OM_DEAD);
-  this->removeNode();
+//   this->removeNode();
   SwarmProjectile::fastFactory->kill(this);
 }
Index: /branches/vs-enhencements/src/world_entities/weapons/disruptor.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/disruptor.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/weapons/disruptor.cc	(revision 10649)
@@ -113,5 +113,5 @@
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
   this->setProjectileTypeC("HBolt");
-  this->prepareProjectiles(5);
+  this->prepareProjectiles(10);
 
   this->setBarrels(1);
Index: /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/weapons/light_blaster.cc	(revision 10649)
@@ -90,5 +90,5 @@
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
   this->setProjectileTypeC("LBolt");
-  this->prepareProjectiles(100);
+  this->prepareProjectiles(25);
 
   this->setBarrels(3);
Index: /branches/vs-enhencements/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/medium_blaster.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/weapons/medium_blaster.cc	(revision 10649)
@@ -89,5 +89,5 @@
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
   this->setProjectileTypeC("MBolt");
-  this->prepareProjectiles(100);
+  this->prepareProjectiles(10);
 
 
Index: /branches/vs-enhencements/src/world_entities/weapons/nadion_laser.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/nadion_laser.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/weapons/nadion_laser.cc	(revision 10649)
@@ -76,6 +76,6 @@
 
   this->setStateDuration(WS_RELOADING, 0);
-  this->setStateDuration(WS_ACTIVATING, .5); //.5);
-  this->setStateDuration(WS_DEACTIVATING, 1); // 1);
+  this->setStateDuration(WS_ACTIVATING, .5);
+  this->setStateDuration(WS_DEACTIVATING, 1);
 
   this->setEnergyMax(500);
@@ -88,6 +88,6 @@
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("MBolt");   // FIXME temp projectile, until nadion_laser_bolt exists.
-  this->prepareProjectiles(100);
+  this->setProjectileTypeC("NadionBlast");   // FIXME temp projectile, until nadion_laser_bolt exists.
+  this->prepareProjectiles(20);
 
 
Index: /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10648)
+++ /branches/vs-enhencements/src/world_entities/weapons/rf_cannon.cc	(revision 10649)
@@ -85,5 +85,5 @@
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
   this->setProjectileTypeC("PlasmaPulse");
-  this->prepareProjectiles(100);
+  this->prepareProjectiles(25);
 
   this->setBarrels(4);